All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Class SelectedItem

    com.sas.iquery.metadata.business.SelectedItem

All Implemented Interfaces:
  Base, ModelItem, UsabilityInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class SelectedItem

implements PropertyChangeListenee, java.lang.Cloneable

Specifies the combination of a data item (result item) and its role in a single object. It also include addition information about the type of data (formatted, unformatted, or both) to be returned for the data item.

Field Summary
`static int` | `RETURN_AS_SPECIFIED_IN_BUSINESS_QUERY` This format type specifies that the type of data (formatted or unformatted) to be returned will be determined by the business query that this object is associated with.
`static int` | `RETURN_FORMATTED_AND_UNFORMATTED_DATA` This format type specifies that both formatted and unformatted data will be returned.

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`SelectedItem(DataItem item, Role role)` Construct a new selected item object with the specified data item and role.

Method Summary
`java.util.List<Drill>` | `getDrillOrder()` Returns the last persisted drill order for this item if applicable.
`int` | `getFormatType()` Returns the format type for this selected item.
`DataItem` | `getItem()` Returns the data item that is used as a result item.
`Role` | `getRole()` Returns the role that is associated to the data item.
`void` | `setFormatType(int formatType)` Sets the format type for this selected item.
`void` | `setRole(Role role)` Set the role to associate to the data item.

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`getListeners`

Field Detail

### RETURN_AS_SPECIFIED_IN_BUSINESS_QUERY

    public static final int RETURN_AS_SPECIFIED_IN_BUSINESS_QUERY

  This format type specifies that the type of data (formatted or unformatted) to be returned will be determined by the business query that this object is associated with.

  See Also:
    Constant Field Values

### RETURN_FORMATTED_AND_UNFORMATTED_DATA

    public static final int RETURN_FORMATTED_AND_UNFORMATTED_DATA

  This format type specifies that both formatted and unformatted data will be returned.

  See Also:
    Constant Field Values

Constructor Detail

### SelectedItem

    public SelectedItem(DataItem item,
                        Role role)

  Construct a new selected item object with the specified data item and role. The format type is set to RETURN_AS_SPECIFIED_IN_BUSINESS_QUERY.

  Parameters:
    `item` - the data item to be used as a result item.
    `role` - the role that the specified DataItem will use in the list of result items.
  Throws:
    `java.lang.IllegalArgumentException` - if the data item specified is null

Method Detail

### getFormatType

    public int getFormatType()

  Returns the format type for this selected item.

  Returns:
    Returns the formatType.

### setFormatType

    public void setFormatType(int formatType)

  Sets the format type for this selected item. The valid format types are: RETURN_FORMATTED_AND_UNFORMATTED_DATA and RETURN_AS_SPECIFIED_IN_BUSINESS_QUERY.

  Parameters:
    `formatType` - The formatType to set.
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid format type is set.

### getRole

    public Role getRole()

  Returns the role that is associated to the data item.

  Returns:
    Returns the role.

### setRole

    public void setRole(Role role)

  Set the role to associate to the data item.

  Property change events signaled:

  - BusinessQuery.EVENT_RESULT_ITEM_ROLE_CHANGED

  Parameters:
    `role` - The role to set.

### getItem

    @Nonnull
    public DataItem getItem()
                     throws java.lang.IllegalStateException

  Returns the data item that is used as a result item.

  Returns:
    Returns the selected item.
  Throws:
    `java.lang.IllegalStateException`

### getDrillOrder

    public java.util.List<Drill> getDrillOrder()

  Returns the last persisted drill order for this item if applicable.

  Returns:
    an unmodifiable list of `Drill` objects

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.